summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2015-10-08 10:52:32 -0400
committerDan Radez <dradez@redhat.com>2015-10-09 10:33:05 -0400
commitfed371bd9bb81d1f5e839d7ded3ce3f266c3877a (patch)
treebfb887d31e647491a6438840203484d4cef6fdb9
parent5928e7a63e9bea9a002b5be66535ec45e3b9b1a2 (diff)
cleaning up libvirt storage after undefine
Change-Id: Id03828b1a61c2f9a3c56821d8ca31f2d82251c9b Signed-off-by: Dan Radez <dradez@redhat.com>
-rwxr-xr-xbuild/instack.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/build/instack.sh b/build/instack.sh
index 1d4eb11c..22bd7831 100755
--- a/build/instack.sh
+++ b/build/instack.sh
@@ -72,11 +72,11 @@ fi
ssh -T -o "StrictHostKeyChecking no" stack@localhost <<EOI
set -e
virsh destroy instack 2> /dev/null || echo -n ''
-virsh undefine instack 2> /dev/null || echo -n ''
+virsh undefine instack --remove-all-storage 2> /dev/null || echo -n ''
virsh destroy baremetalbrbm_0 2> /dev/null || echo -n ''
-virsh undefine baremetalbrbm_0 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_0 --remove-all-storage 2> /dev/null || echo -n ''
virsh destroy baremetalbrbm_1 2> /dev/null || echo -n ''
-virsh undefine baremetalbrbm_1 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_1 --remove-all-storage 2> /dev/null || echo -n ''
instack-virt-setup
EOI
@@ -204,17 +204,17 @@ done
# move and Sanitize private keys from instack.json file
mv stack/instackenv.json instackenv-virt.json
-sed -i '/pm_password/c\ "pm_password": "INSERT_STACK_USER_PRIV_KEY",' instackenv-virt.json
+sed -i '/pm_password/c\ "pm_password": "INSERT_STACK_USER_PRIV_KEY",' instackenv-virt.json
sed -i '/ssh-key/c\ "ssh-key": "INSERT_STACK_USER_PRIV_KEY",' instackenv-virt.json
# clean up the VMs
ssh -T -o "StrictHostKeyChecking no" stack@localhost <<EOI
set -e
virsh destroy instack 2> /dev/null || echo -n ''
-virsh undefine instack 2> /dev/null || echo -n ''
+virsh undefine instack --remove-all-storage 2> /dev/null || echo -n ''
virsh destroy baremetalbrbm_0 2> /dev/null || echo -n ''
-virsh undefine baremetalbrbm_0 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_0 --remove-all-storage 2> /dev/null || echo -n ''
virsh destroy baremetalbrbm_1 2> /dev/null || echo -n ''
-virsh undefine baremetalbrbm_1 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_1 --remove-all-storage 2> /dev/null || echo -n ''
EOI